streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_body Class Reference
Collaboration diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_body:

## Public Member Functions

| device_selector_body (device_selector_base *d)
void | operator() (const indexer_node_output_type &v, typename device_selector_node::output_ports_type &op)

## Private Attributes

device_selector_base * | my_device_selector

## Detailed Description

### template<typename... Ports, typename JP, typename StreamFactory>
class streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_body

Definition at line 454 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## device_selector_body()

template<typename... Ports, typename JP , typename StreamFactory >

streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_body::device_selector_body | ( | device_selector_base * | d | ) |

inline

Definition at line 456 of file _flow_graph_streaming_node.h.

: my_device_selector( d ) {}

## Member Function Documentation

## operator()()

template<typename... Ports, typename JP , typename StreamFactory >

void streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_body::operator() | ( | const indexer_node_output_type & | v,
|  | typename device_selector_node::output_ports_type & | op
| ) |  |

inline

Definition at line 458 of file _flow_graph_streaming_node.h.

{
(*my_device_selector)(v, op);
}

## Member Data Documentation

## my_device_selector

template<typename... Ports, typename JP , typename StreamFactory >

device_selector_base* streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_body::my_device_selector

private

Definition at line 462 of file _flow_graph_streaming_node.h.

The documentation for this class was generated from the following file:

- _flow_graph_streaming_node.h

d
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d
Definition: ittnotify_static.h:109
streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_body::my_device_selector
device_selector_base * my_device_selector
Definition: _flow_graph_streaming_node.h:462

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.